#!/bin/bash
CUBE_DIR=$HOME/.sauerbraten
if [ ! -d $CUBE_DIR ]; then
	mkdir -p $CUBE_DIR
	cd $CUBE_DIR
	ln -s /usr/games/sauer_* .
	ln -s %{datadir}/games/sauerbraten/* .
	rm server*.cfg 2> /dev/null
	cp /usr/share/games/sauerbraten/server*.cfg .
fi
# server.cfg ==> servers.cfg
if [ ! -e $CUBE_DIR/servers.cfg ]; then
	cd $CUBE_DIR
	rm servers.cfg 2> /dev/null
	cp /usr/share/games/sauerbraten/servers.cfg .
fi
# new in troopers server-init.cfg
if [ ! -e $CUBE_DIR/server-init.cfg ]; then
	cd $CUBE_DIR
	rm server-init.cfg 2> /dev/null
	cp /usr/share/games/sauerbraten/server-init.cfg .
fi
cd $CUBE_DIR
exec ./sauer_server $*
